Skip to main content

Update user

PATCH
/users

Contract

Parameter
Value
Sectionusers
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectUser fields to update (must include id)
  • {
      "agreementAccepted": true,
      "createdAt": "<string>",
      "deletedAt": "<string>",
      "email": "<string>",
      "group": {
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "id": 0,
        "issuer": {},
        "issuerID": 0,
        "name": "<string>",
        "permissions": [
          {
            "value": 0
          }
        ],
        "updatedAt": "<string>",
        "users": [
          {}
        ]
      },
      "groupID": 0,
      "id": 0,
      "isActive": true,
      "isRequiredToSetPassword": true,
      "lastLogin": "<string>",
      "notificationsReadAt": "<string>",
      "passwordLength": 0,
      "realName": "<string>",
      "updatedAt": "<string>"
    }

Responses

4 responses

Status
Description
Type
200
User updatedno body
400
Invalid request bodyobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }